unit uPluginHistoricoMovimientos;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCHistoricoMovimientos = interface(IInterface)
  ['{9619BA3A-FA5F-4C14-B5F0-343E71C86E48}']
  end;

  TPluginHistoricoMovimientos = class(TModuleController, IMCHistoricoMovimientos)
    actHistoricoMovimientos: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    HistoricoMovimientos1: TMenuItem;
    HistoricoMovimiento1: TMenuItem;
    procedure actHistoricoMovimientosExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uHistoricoMovimientosController, uBizHistoricoMovimientos, uHistoricoMovimientosViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginHistoricoMovimientos.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginHistoricoMovimientos.actHistoricoMovimientosExecute(Sender: TObject);
var
  AHistoricoMovimientosController : IHistoricoMovimientosController;
  AHistoricoMovimientos : IBizHistoricoMovimientos;

begin
  AHistoricoMovimientosController := THistoricoMovimientosController.Create;
  AHistoricoMovimientos := (AHistoricoMovimientosController.BuscarTodos as IBizHistoricoMovimientos);
  AHistoricoMovimientosController.VerTodos(AHistoricoMovimientos);
end;

constructor TPluginHistoricoMovimientos.Create(AOwner: TComponent);
begin
  inherited;
  uHistoricoMovimientosViewRegister.RegisterViews;
end;

destructor TPluginHistoricoMovimientos.Destroy;
begin
  uHistoricoMovimientosViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginHistoricoMovimientos);

finalization
  UnRegisterModuleClass(TPluginHistoricoMovimientos);

end.
